-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1:3306
-- Generation Time: Jul 22, 2022 at 05:08 PM
-- Server version: 8.0.27
-- PHP Version: 7.4.26

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `jobfair22`
--
CREATE DATABASE IF NOT EXISTS `jobfair22` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `jobfair22`;

-- --------------------------------------------------------

--
-- Table structure for table `fizicko_lice`
--

DROP TABLE IF EXISTS `fizicko_lice`;
CREATE TABLE IF NOT EXISTS `fizicko_lice` (
  `korisnickoime` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `ime` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `prezime` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `indeks` int NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `fizicko_lice`
--

INSERT INTO `fizicko_lice` (`korisnickoime`, `ime`, `prezime`, `indeks`) VALUES
('', 'Petar', 'Jovanovic', 20180123),
('', 'Jelena', 'Petrovic', 20190396);

-- --------------------------------------------------------

--
-- Table structure for table `je_konkurisalo`
--

DROP TABLE IF EXISTS `je_konkurisalo`;
CREATE TABLE IF NOT EXISTS `je_konkurisalo` (
  `id_aplikacije` int NOT NULL AUTO_INCREMENT,
  `korisnik` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `datum_aplikacije` datetime NOT NULL,
  `konkurs_id` int NOT NULL,
  PRIMARY KEY (`id_aplikacije`),
  KEY `fb2` (`konkurs_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `je_konkurisalo`
--

INSERT INTO `je_konkurisalo` (`id_aplikacije`, `korisnik`, `datum_aplikacije`, `konkurs_id`) VALUES
(1, 'petar', '2022-06-28 00:00:00', 6),
(2, 'dragana', '2022-06-28 00:00:00', 6),
(3, 'jeca', '2022-06-28 00:00:00', 6),
(4, 'petar', '2022-06-28 15:37:42', 1),
(5, 'mdcs', '2022-06-28 16:12:16', 6);

-- --------------------------------------------------------

--
-- Table structure for table `kompetencije`
--

DROP TABLE IF EXISTS `kompetencije`;
CREATE TABLE IF NOT EXISTS `kompetencije` (
  `idskill` int NOT NULL AUTO_INCREMENT,
  `naziv_kompetencije` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `opis` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idskill`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `kompetencije`
--

INSERT INTO `kompetencije` (`idskill`, `naziv_kompetencije`, `opis`) VALUES
(1, 'C++', 'Dobro poznavanje najnovijeg standarda C++.\r\nOdlično znanje objektno orijentisanih koncepata.'),
(2, 'Java', 'Dobro znanje Jave, i distribuiranog programiranja.'),
(3, 'Python', 'Ako ste dobri u Django i položili ste PSI, super!'),
(4, 'PHP', 'Poželjno znanje nekog radnog okvira koji ste učili na SI3PSI.'),
(5, 'Testiranje softvera', 'Ako ste položili kod Dražena, onda razbijate ovo.'),
(6, 'Arhitekturalni uzorci', 'Obavezno poznavanje: MVC, client-server, peer-to-peer, interpreter., master-slave'),
(7, 'SQL, MySQL', 'Samo za dobre ljude koji su položili kod Hadžare i Tamare.');

-- --------------------------------------------------------

--
-- Table structure for table `konkurs`
--

DROP TABLE IF EXISTS `konkurs`;
CREATE TABLE IF NOT EXISTS `konkurs` (
  `id_konkurs` int NOT NULL AUTO_INCREMENT,
  `naziv` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `korisnickoime_komp` varchar(16) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `broj_pozicija` int NOT NULL,
  `datum_otvaranja` date NOT NULL,
  `datum_zatvaranja` date NOT NULL,
  `broj_godina_iskustva` int DEFAULT NULL,
  `tip` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id_konkurs`),
  KEY `korisnickoime_komp` (`korisnickoime_komp`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `konkurs`
--

INSERT INTO `konkurs` (`id_konkurs`, `naziv`, `korisnickoime_komp`, `broj_pozicija`, `datum_otvaranja`, `datum_zatvaranja`, `broj_godina_iskustva`, `tip`) VALUES
(1, 'Softverski inženjer za baze SQL', 'mdcs', 60, '2022-05-02', '2022-05-15', 3, 'z'),
(2, 'Junior inženjer za razvoj igara', 'nordeus', 3, '2022-05-03', '2022-05-20', NULL, 'z'),
(3, 'Junior softverski inženjer za mobilni razvoj', 'endava', 5, '2022-04-01', '2022-05-10', NULL, 'z'),
(4, 'Grafički dizajner', 'nordeus', 1, '2022-05-03', '2022-05-29', NULL, 'z'),
(5, 'Sistem administrator', 'endava', 1, '2022-05-04', '2022-05-28', 2, 'z'),
(6, 'Praktikant za SQL team', 'mdcs', 2, '2022-05-04', '2022-06-04', NULL, 'p'),
(7, 'Backend developer (praktikant)', 'nordeus', 3, '2022-04-01', '2022-05-29', NULL, 'p');

-- --------------------------------------------------------

--
-- Table structure for table `korisnik`
--

DROP TABLE IF EXISTS `korisnik`;
CREATE TABLE IF NOT EXISTS `korisnik` (
  `korisnickoime` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `lozinka` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`korisnickoime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `korisnik`
--

INSERT INTO `korisnik` (`korisnickoime`, `lozinka`) VALUES
('dragana', 'sifra123'),
('endava', 'endava123'),
('jeca', 'sifra123'),
('jovan', 'sifra123'),
('mdcs', 'mdcs123'),
('nordeus', 'nordeus123'),
('petar', 'sifra123');

-- --------------------------------------------------------

--
-- Table structure for table `pravno_lice`
--

DROP TABLE IF EXISTS `pravno_lice`;
CREATE TABLE IF NOT EXISTS `pravno_lice` (
  `korisnickoime` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `naziv` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `grad` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `pttbroj` int NOT NULL,
  `adresa` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `PIB` int NOT NULL,
  `direktor` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`korisnickoime`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `pravno_lice`
--

INSERT INTO `pravno_lice` (`korisnickoime`, `naziv`, `grad`, `pttbroj`, `adresa`, `PIB`, `direktor`) VALUES
('endava', 'Endava d.o.o.', 'Beograd', 11070, 'Bulevar Milutina Milankovica 9D', 100026798, 'Branka Radovanović'),
('mdcs', 'Majkrosoft razvojni centar', 'Beograd', 11070, 'Ušće kula 2', 100200303, 'Dragan Tomić'),
('nordeus', 'Nordeus Take-Two Interactive', 'Beograd', 11070, 'Bulevar Milutina Milankovica 11', 106525606, 'Branko Milutinović');

-- --------------------------------------------------------

--
-- Table structure for table `zaposleni`
--

DROP TABLE IF EXISTS `zaposleni`;
CREATE TABLE IF NOT EXISTS `zaposleni` (
  `id_zaposlenog` int NOT NULL AUTO_INCREMENT,
  `osoba_username` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `kompanija_username` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id_zaposlenog`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_unicode_ci;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `je_konkurisalo`
--
ALTER TABLE `je_konkurisalo`
  ADD CONSTRAINT `fb2` FOREIGN KEY (`konkurs_id`) REFERENCES `konkurs` (`id_konkurs`) ON DELETE RESTRICT ON UPDATE RESTRICT;

--
-- Constraints for table `konkurs`
--
ALTER TABLE `konkurs`
  ADD CONSTRAINT `konkurs_ibfk_1` FOREIGN KEY (`korisnickoime_komp`) REFERENCES `pravno_lice` (`korisnickoime`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pravno_lice`
--
ALTER TABLE `pravno_lice`
  ADD CONSTRAINT `pravno_lice_ibfk_1` FOREIGN KEY (`korisnickoime`) REFERENCES `korisnik` (`korisnickoime`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
