<?php

namespace App\Controllers;
use App\Models\PravnoLiceModel;
use App\Models\JeKonkurisaoModel;

class Pregled extends BaseController
{
    protected function prikaz($page, $data) {
        $pravnoModel = new PravnoLiceModel();
        $kompanije = $pravnoModel->findAll();
        $data['kompanije'] = $kompanije;
        echo view("stranice/$page", $data);
        
    }
    public function index()
    {  
        $this->prikaz('pregled', []);
    }
    
    public function prijava()
    {
        $k = $this->request->getVar('kompanije');
        $jekonk = new JeKonkurisaoModel();
        $pravnoModel = new PravnoLiceModel();
        $kompanija = $pravnoModel->find($k);
        
        $db = db_connect();
        
        $prijave = $db->table('je_konkurisalo')->select('*')->join('konkurs', 'konkurs.id_konkurs=je_konkurisalo.konkurs_id')
                ->where('konkurs.korisnickoime_komp', $k)->orderBy('je_konkurisalo.korisnik', 'asc')->orderBy('konkurs.naziv', 'desc')->get()->getResult();
        
       
        $this->prikaz('pregledPrijava', ['prijave' => $prijave, 
            'kompanija' => $k]);
    }
}
